#include <HCSR04.h> // we include the sensor librarie
#include <AccelStepper.h> // we include the motor librarie

const int dirPin = 2; // we connect the first motor pin to entry 2
const int stepPin = 3; //we connect the second motor pin to entry 3

#define motorInterfaceType 1 //we define the kind of motor we are using
#define led 4 // we connect the led pin to entry 4
boolean lightOn = false; // we associete a boolean operation to the LED, so that false is off and true is on
UltraSonicDistanceSensor distanceSensor(13, 12);  // Initialize sensor that uses digital pins echo 13 and trigger 12.
int pos = 0;    // variable to store the servo position
AccelStepper myStepper(motorInterfaceType, stepPin, dirPin); // we initialize the stepper and its variables

void setup () {
  Serial.begin(9600);  // We initialize serial connection so that we could print values from sensor.
  pinMode(4, OUTPUT); // We define the pin 4 as an uotput
  myStepper.setMaxSpeed(1000); // we define the maximum motor speed as 1000
  myStepper.setAcceleration(50); // we define the mototr acceleration as 50
  myStepper.setSpeed(200); // we define the initial motor speed as 200

}

void loop () { // in the constant loop
  int distancia = distanceSensor.measureDistanceCm(); // Every 500 miliseconds, do a measurement using the sensor and print the distance in centimeters.
  Serial.println(distancia); // we print distance (this is not necessary! just for us to know the  sensor works
  if (distancia >= 75) { // if the distance is further than 75cm we....
    digitalWrite(led, LOW); //turn LED OFF
    myStepper.runToNewPosition(65); // Stepper to position 65
  }
  else { //if the sensor detects something closer than 75cm
    digitalWrite(led, HIGH); //turn the LED ON
    myStepper.runToNewPosition(0); // bring stpeper to position 0
    delay(5000); Wit in this position for 5s
  }
}
